# Generated by Django 4.0.5 on 2022-06-14 10:13

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CustomUser',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('username', models.CharField(max_length=50, unique=True)),
                ('encrypted_password', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Dashboard',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('title', models.CharField(max_length=200)),
                ('description', models.CharField(max_length=1000)),
                ('last_updated', models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name='UserSession',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('token', models.CharField(max_length=20, unique=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='rest_api.customuser')),
            ],
        ),
        migrations.CreateModel(
            name='Question',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('child_id', models.IntegerField(editable=False)),
                ('title', models.CharField(max_length=100)),
                ('description', models.CharField(max_length=3000)),
                ('created_datetime', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='rest_api.customuser')),
                ('dashboard', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='rest_api.dashboard')),
            ],
        ),
        migrations.CreateModel(
            name='Answer',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('child_id', models.IntegerField(editable=False)),
                ('description', models.CharField(max_length=1000)),
                ('created_datetime', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='rest_api.customuser')),
                ('question', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='rest_api.question')),
            ],
        ),
    ]
